GRSFileReader (The Data Transfer Agent Service 1.1.0-SNAPSHOT API)
Date: 2012-10-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.impl.grs
Class GRSFileReader

    java.lang.Object
      java.lang.Thread
          org.gcube.datatransfer.agent.impl.grs.GRSFileReader

All Implemented Interfaces:
  Runnable

    public class GRSFileReader

extends Thread

Author:
  Andrea Manzi(CERN);

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`Thread.State, Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`GRSFileReader(URI locator, File outFolder, boolean overwrite)`

Method Summary
`String` | `getOutcomeLocator()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GRSFileReader

    public GRSFileReader(URI locator,
                         File outFolder,
                         boolean overwrite)
                  throws gr.uoa.di.madgik.grs.reader.GRS2ReaderException,
                         gr.uoa.di.madgik.grs.writer.GRS2WriterException

Throws:
  `gr.uoa.di.madgik.grs.reader.GRS2ReaderException`
  `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`
  Overrides:
    `run` in class `Thread`

### getOutcomeLocator

    public String getOutcomeLocator()
                             throws gr.uoa.di.madgik.grs.writer.GRS2WriterException

  Throws:
    `gr.uoa.di.madgik.grs.writer.GRS2WriterException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.